## nl-aspell

This package provides a dutch dictionary and a language file for use with the aspell spelling checker.

The word list has been compiled from a number of sources:

1. The list used in the aspell-nl-0.1.rpm package. The main reason I decided to build the present package is that I could not find a tarball distribution of this rpm and that some ``exceptions'' from the official lists seemed to be missing.
2. The lists in the official announcement (1996) about spelling changes.
3. The list by Piet Tutelaers available on http://www.ntg.nl/spell-nl-v5b/.

The full word list (approx. 222K words) is available as a text file `dutch.words` in the distribution. The language definition is in the file `dutch.dat`.

### prerequisites

- pspell
- aspell

The availability of these packages is verified during the installation.

### download

The latest version (I don't expect there will be many) is available here.

### installation

Standard (unpack; configure; make install). See the INSTALL file in the distribution. The installation will compile the word list into a master dictionary.

### manual

Two trivial scripts, called nlspell, and nllspell are installed in `bindir` (typically `/usr/local/bin`). They are replicated below.

1. nlspell

       #!/bin/sh
       aspell --conf=/usr/local/share/aspell/nlspell.config $*

   E.g. for interactive use, one would type

       	nlspell -c filename

2. nllspell uses a ``per-directory'' dictionary ``nlspell.dict'' in the current directory.

       #!/bin/sh
       aspell --conf=/usr/local/share/aspell/nlspell.config \
       	--add-extra-dicts=$HOME/.aspell.dutch.pws \
       	--personal=./nlspell.dict $*

See the aspell manual for more information.

Dirk Vermeir (dvermeir@vub.ac.be) [Last modified: Sat May 19 11:22:00 CEST 2001 ]